Skip to main content

Create Partner Events

Creates partner events for the specified shipment.

Endpoint: POST /api/shipments/{id}/partner-events

Required Scope: shipments:write

Path Parameter

ParameterTypeRequiredDescription
idstringYesThe ID of the shipment to create events.

Request Specification

PropertyTypeRequiredDescription
EventsShipmentPartnerEvent[]YesA list of partner events to be created for the shipment.

Response Specification

Returns empty data wrapped in Result.

Sample JSON

Request

{
"Events": [
{
"EventCode": "PICKEDUP",
"EventTime": "2026-06-15T20:55:00-07:00",
"Location": {
"PostCode": "90001",
"CountryCode": "US"
}
},
{
"EventCode": "ARRIVED",
"EventTime": "2026-06-15T21:00:00-07:00",
"Location": {
"PostCode": "90001",
"CountryCode": "US"
}
},
{
"EventCode": "DEPARTED",
"EventTime": "2026-06-15T22:00:00-07:00",
"Location": {
"PostCode": "90001",
"CountryCode": "US"
}
}
]
}

Response

{
"Succeeded": true,
"Error": null,
"CapturedValues": {}
}